﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

namespace Popbill.Cashbill.Example
{
    public partial class updateEmailConfig : System.Web.UI.Page
    {
        public String code;
        public String message;

        protected void Page_Load(object sender, EventArgs e)
        {
            /**
             * 현금영수증 관련 메일 항목에 대한 발송설정을 수정합니다.
             * - https://developers.popbill.com/reference/cashbill/dotnet/api/etc#UpdateEmailConfig
             *
             * 메일전송유형
             * CSH_ISSUE : 고객에게 현금영수증이 발행 되었음을 알려주는 메일 입니다.
             * CSH_CANCEL : 고객에게 현금영수증이 발행취소 되었음을 알려주는 메일 입니다.
             */

            // 팝빌회원 사업자번호, '-' 제외 10자리
            String testCorpNum = "1234567890";

            //메일전송유형
            String emailType = "CSH_ISSUE";

            //전송여부 (true-전송, false-미전송)
            Boolean sendYN = false;

            try
            {
                Response response = Global.cashbillService.UpdateEmailConfig(testCorpNum, emailType, sendYN);
                code = response.code.ToString();
                message = response.message;
            }
            catch (PopbillException ex)
            {
                code = ex.code.ToString();
                message = ex.Message;
            }
        }
    }
}
